CairoContext::mask
CairoContext::moveTo
CairoContext
PHP Manual

# CairoContext::maskSurface

# cairo_mask_surface

(PECL cairo >= 0.1.0)

CairoContext::maskSurface -- cairo_mask_surface — The maskSurface purpose

### Description

Object oriented style (method):

public void CairoContext::maskSurface ( string `$surface` [, string `$x` [, string `$y` ]] )

Procedural style:

void cairo_mask_surface ( CairoContext `$context` , CairoSurface `$surface` [, string `$x` [, string `$y` ]] )

Description here.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`context`

  Description...

`surface`

  Description...

`x`

  Description...

`y`

  Description...

### Return Values

Description...

### Examples

Example #1 Object oriented style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

Example #2 Procedural style

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- Classname::Method

CairoContext::mask
CairoContext::moveTo
CairoContext
PHP Manual